# Changelog

## [1.0.3] 2022-10-06
### Добавлено
- ссылка на сайт производителя в справке "О программе"
- возможность выбора использования прокси
- возможность открыть руководство пользователя через меню "Справка" -> "Руководство пользователя"

### Исправлено
- работа с занятыми COM портами
- единицы измерения для угла сдвига фазы 1.0.81.7.40.255
- чтение Activity calendar из списка объектов
- применение настроек для журналов
- применение количества повторов запроса

### Изменено
- имя файла при экспорте в excel
- заголовок таблицы виджета "Накопленная энергия"
- наименование мощностей в коллекциях согласно ТЗ
- отображение даты и времени селективного доступ ProfileGeneric

## [1.0.2] 2022-08-16
### Добавлено
- блокировка группы управления реле, если установлена блокировка реле
- перевод кнопок для вспылвающих сообщений
- описание ошибок в ответе от ПУ

### Исправлено
- падение программы при выборе объекта справочника
- неправильная запись порога фиксации МП и ограничителя магнитного поля
- скаляр для энергии по тарифам
- чтение и запись кириллических символов
- отображение статуса переход на летнее время при повторном подключении
- отображение единиц измерения на вкладке "Ограничители"

### Изменено
- отображение пустых значений на вкладке "Сервисная информация" и "Состояние датчиков"
- отображение часового пояса во вкладке "Время"

## [1.0.1] 2022-05-19
### Добавлено
- предупреждение об ошибке во время разбора коллекции
- возможность прокрутки информации на вкладке "Сервисные настройки" при чтении данных

### Изменено:
- отображение полей в редакторе CaptureObject справочника

### Исправлено:
- директория сохранения собранной коллекции из ПУ
- чтение и запись объектов использующие скаляр
- отображение интерфейса на экранах с низким разрешением
- коллекции для прошивок версии 1.17.x

## [1.0.0] 2022-05-19
### Добавлено
- чтение серийного номера печатного узла 0.0.180.184.0.255
- возможность управления ретрансляцией 0.0.165.164.0.255, 0.0.165.165.0.255
- настройка двунаправленого учета 1.0.181.180.0.255, 1.0.181.181.0.255
- управление импульсными выходами 1.0.181.182.0.255, 1.0.181.183.0.255, 1.0.182.180.0.255
- возможность изменения серийного номера ПУ
- возможность изменения модификации ПУ
- возможность изменения даты производства ПУ
- возможность изменения серийного номера печатного узла
- управление инициативным выходом
- чтение/запись порогов
- установка заводских параметров
- заводская инициализация
- сброс энергии
- чтение версии IDM 1.0.181.183.0.255
- чтение напряжения батареи резервного питания 0.0.96.6.3.255
- универсальный редактор объектов dlms data
- универсальный редактор dlms activity calendar
- подключение к ПУ с правами "разработчика"
- возможность редактирования калибровочных коэффициентов
- верификация даты для таблицы праздничных дней
- редактор объектов класса DLMS Association LN
- централизованная обработка ошибок
- редактор настроек ЖК дисплея
- возможность изменения модификации ПУ 0.0.96.1.1.255
- универсальный редактор объектов Script Table
- универсальный редактор атрибута
- универсальный редактор объектов Limiter
- универсальный редактор Register activation
- универсальный редактор объектов Image transfer
- универсальный редактор объектов Disconnect control
- возможность управления блокировкой реле
- универсальный редактор объектов Profile Generic
- возможность изменения атрибута capture period в редакторе Profile Generic
- универсальный редактор объектов HDLC Setup
- универсальный редактор объектов Local port setup
- размерность на вкладке "Clock"
- описание кодов событий в журналах
- отображение истории сообщений
- универсальный редактор объектов Special Days Table
- универсальный редактор Data
- универсальный редактор Register

### Изменено:
- структура словарей
- конвертация XML-файла
- вкладка "Время" преобразована в редактор для объектов класса Clock
- процедура обмена данными с ПУ перенесена в отдельный поток

### Исправлено:
- работа ограничителей для прошивки ВПО 1.17.0 и новее
- ошибка при поиске объекта словаря
- "вылет" конфигуратора при удалении действующей коллекции
- аварийное завершение конфигуратора при удалении из таблицы праздничных дней


## [0.16.0] 2021-12-17
### Добавлено
- возможность отправлять команды уровня DLMS во вкладке "Мониторинг"
- считывание даты последней установки времени
- отображание фазовых углов
- отображение рассогласования времени
- отображение даты последней калибровки во вкладку "Служебная информация" 
- валидация пароля верхнего уровня
- скрытие вкладок с недоступным функционалом
- экспорт данных в формат .xlsx
- запоминание параметров подключения через COM порт и TCP
- отображение журналов в вие дерева в меню выбора вкладки
- возможность редактирования пассивного тарифного расписания
- переключение между активным и пассивным тарифными расписаниями

### Изменено
- переработано меню с выбором вкладок


## [0.15.0] 2021-11-16
### Изменено
- используемая версия библиотеки DLMS Lib обновлена до версии 2.1.0
- добавлены дополнительные опции импорта описания коллекции объектов
- отображение версии билда прошивки на вкладке "Управление ВПО" для прошивек 1.16.0 и новее
- вкладка "Ограничители" отключена при уровне доступа низский с паролем
- обновлены коллекции объектов
- добавлены колекции объектов для прошивок 1.16.x
- добавлена обработка атрибута 6 для объектов ProfileGeneric на прошивках 1.6.0 и новее
- КТ трансформации по току и напряжению убраны из вкладки "Сервисные настройки"

### Добавлено
- настройка темы
- настрока принудительного отображения обис кодов объектов
- MVC модель энергии
- MVC модель ProfileGeneric
- отображение иниативного выхода во вкладку "Мониторинг"
- подстрока к минуте во вкладке "Время"
- ограничитель по вскрытию электроных пломб
- проверка корректности введеных дат для вкладок "Тарифное расписание" и "Таблица специальных дней"
- вкладка "Управление ВПО" и возможно перепрошивки ПУ для прошивок 1.6.0 и новее
- редактирование КТ по току и напряжению
- данные точки учета на вкладку "Сервисные настройки"
- очищение предыдущих значений в тарифном расписании и таблице праздничных дней при открытии сеанса связи

### Исправлено
- импорт файла тарифного расписания для 3ф
- запись тарифного расписания
